{% extends 'base.html' %}
{% load static %}
{% load markdown_deux_tags %}
{% load humanize %}
{% block seo %}
<title>{{ lesson.title }} - {{ lesson.course.title }}</title>
<meta name='description' content='{{ lesson.about }}' />
<meta property="og:image" content="https://djangocode.com{{ lesson.course.cover.url }}" />
<meta property="og:title" content="{{ lesson.title }}. {{ lesson.course.title }}" />
<meta property="og:description" content="{{ lesson.about }}" />
{% endblock seo %}
{% block content %}
<div class="lesson">
  <div class="lesson-head" style="background-image: url({{ lesson.course.cover.url }});">
    <div class="cover">
      <div class="info">
        <h1>{{ lesson.course.title }}</h1>
        <div class="info-number">урок #{{ lesson.number }}</div>
        <p>{{ lesson.course.description }}</p>
        <p>{{ lesson.about }}</p>
      </div>
      <div class="data">
        <div><i class="fas fa-tag"></i></div>
        {% for tag in lesson.tags %}
          <div>{{ tag }}</div>
        {% endfor %}
      </div>
    </div>
    <div class="lesson-head-lines">
      <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div>
    </div>
  </div>
  <div class="lesson-content">
    <h5>видеоурок</h5>
    <div class="lesson-content-video">
      <video class="js-player" playsinline controls>
          <source src="{{ lesson.video.url }}" type="video/mp4">
          {% if lesson.captions %}
          <track kind="captions" label="English captions" src="{% url 'captions' lesson.id %}" srclang="en" default>
          {% endif %}
      </video>
    </div>
    <h5>все уроки данного курса</h5>
    <div class="lesson-content-course">
      {% for item in lessons %}
        <div class="lesson-content-course__item">
          <div class="icon">
            <i class="fas fa-video"></i>
          </div>
          <div class="info">
            <div class="info-number {% if item.id == lesson.id %}current{% endif %}">урок #{{item.number}}</div>
            <h6>{{item.title}}</h6>
          </div>
        </div>
      {% endfor %}
    </div>
    <h5>релиз</h5>
    <div class="lesson-content-data">
      <div class="data-row">
        <div class="data">
          <div class="data-icon"><i class="fas fa-code-branch"></i>релиз</div>
          <div class="data-info"><a href="{{ lesson.release_link }}">{{ lesson.release_name }}</a></div>
        </div>
        <div class="data">
          <div class="data-icon"><i class="far fa-file-archive"></i>файл</div>
          <div class="data-info"><a href="{{ lesson.release.url }}">zip</a></div>
        </div>
      </div>
      <div class="data-row">
        <div class="data">
          <div class="data-icon"><i class="far fa-calendar-alt"></i>добавлен</div>
          <div class="data-info">{{ lesson.date_add|date:"d.m.Y" }}</div>
        </div>
        <div class="data">
          <div class="data-icon"><i class="fas fa-weight-hanging"></i>размер</div>
          <div class="data-info">{{ lesson.release.size|filesizeformat }}</div>
        </div>
      </div>
    </div>
    <h5>обновления / исправления</h5>
    <div class="grid grid-2">
      {% for update in lesson.updates.all %}
        <div class="grid-item lesson-content-video lesson-content-video--upd">
          <video class="js-player" playsinline controls>
              <source src="{{ update.file.url }}" type="video/mp4">
          </video>
        </div>
      {% endfor %}
    </div>
    <h5>заметки</h5>
    {% for note in lesson.notes.all %}
      <pre>
        <code class="{{ note.language }}">{{ note.code }}</code>
      </pre>
    {% endfor %}
    <h5>комментарии</h5>
    <div class="comments">
      <div class="comments-add">
        {% if request.user.id %}
        <form class="comment-form" autocomplete="off" data-action="{% url 'lesson' lesson.course.slug lesson.slug %}" action="/404/" method="post">
          {% csrf_token %}
          <div class="helper-desc">
            <i class='fab fa-markdown' title="Комментарии поддерживают Markdown разметку"></i>
            <span>*курсив*</span> <span>**жирный**</span> <span>```код (или 4 пробела)```</span> <span>&gt; цитата</span> <span>* список</span>
          </div>
          <textarea name="text" id="id_text" placeholder="Напишите свой бесценный комментарий" required></textarea>
          <button type="submit" name="button">Добавить</button>
        </form>
        {% else %}
        <div class="error">
          <h5>Чтобы оставить комментарий,
            <a href="{% url 'login' %}">войдите</a> или
            <a href="{% url 'registration' %}">зарегистрируйтесь</a></h5>
        </div>
        {% endif %}
      </div>
      <div class="comments-list">
        {% for comment in comments %}
          <div class="comments-list-item{% if comment.user.is_superuser %} comments-list-item-admin{% endif %}">
            <div class="comments-list-item-head">{{ comment.user.first_name }} {{ comment.user.last_name }}, {{ comment.date_add|naturaltime }}</div>
            <div class="comments-list-item-body">
              {{ comment.text|markdown }}
            </div>
            <div class="comments-list-item-footer">
              <span id="comment-{{ comment.id }}">{{ comment.like_count }}</span>
              <i data-comment-id="{{ comment.id }}" class="fas fa-thumbs-up {% if user in comment.likes.all %}liked{% endif %}"></i>
            </div>
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
</div>
{% endblock content %}
